server:
  port: 18090

spring:
  application:
    name: @artifactId@
  cloud:
    nacos:
      discovery:
        #server-addr: ${NACOS-HOST:sc-register}:${NACOS-PORT:8848}
        server-addr: 127.0.0.1:8848
      config:
        #server-addr: ${spring.cloud.nacos.discovery.server-addr}
        server-addr: 127.0.0.1:8848
        file-extension: yml
        shared-dataids: application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
  profiles:
    active: @profiles.active@
  autoconfigure:
    exclude: org.springframework.cloud.gateway.config.GatewayAutoConfiguration,org.springframework.cloud.gateway.config.GatewayClassPathWarningAutoConfiguration
#mybatis:
#  type-aliases-package: com.nantian.cloud.query
#  configuration:
#    map-underscore-to-camel-case: true
#  config-location: classpath:mybatis/mybatis-config.xml
